import 'package:flutter/material.dart';
import 'package:flutter_clx_base/flutter_clx_base.dart';

class ScrollViewPage extends StatefulWidget {
  const ScrollViewPage({Key? key}) : super(key: key);

  @override
  State<ScrollViewPage> createState() => _ScrollViewPageState();
}

class _ScrollViewPageState extends State<ScrollViewPage> {
  var focusNode1 = FocusNode();
  var focusNode2 = FocusNode();

  @override
  Widget build(BuildContext context) {
    return MyScaffold(
      title: "scrollView",
      body: MyScrollView(
        keyboardConfig: KeyBoardUtils.getKeyboardActionsConfig(
            context, <FocusNode>[focusNode1, focusNode2]),
        children: [
          TextField(focusNode: focusNode1),
          GFButton(
              fullWidthButton: true,
              onPressed: () {
                ToastUtil.showToast("点击按钮");
              },
              text: '点击按钮'),
          const SizedBox(height: 500),
          TextField(focusNode: focusNode2),
        ],
      ),
    );
  }
}
